
*{
    margin:0;
    padding:0;
    box-sizing:border-box;
}

body{

    background:#0D1117;

    color:#C9D1D9;

    font-family:'Segoe UI',Tahoma,sans-serif;

}

/* ===========================
        Container
=========================== */

.container-fluid{

    width:100%;

    padding-left:25px;

    padding-right:25px;

}

/* ===========================
        Header
=========================== */

.header{

    background:#161B22;

    border:1px solid #30363D;

    border-radius:12px;

    padding:18px 25px;

    margin-bottom:25px;

}

.header h3{

    color:white;

    margin:0;

    font-weight:600;

}

.header i{

    color:#58A6FF;

}

/* ===========================
        Cards
=========================== */

.card{

    background:#161B22;

    border:1px solid #30363D;

    border-radius:12px;

    color:#C9D1D9;

    box-shadow:none;

}

.card-header{

    background:#21262D;

    border-bottom:1px solid #30363D;

    color:white;

    font-weight:600;

}

/* ===========================
        Labels
=========================== */

label{

    color:#8B949E;

    font-weight:600;

    margin-bottom:8px;

}

/* ===========================
        File Input
=========================== */

.form-control{

    background:#21262D;

    color:white;

    border:1px solid #30363D;

}

.form-control:focus{

    background:#21262D;

    color:white;

    border-color:#58A6FF;

    box-shadow:none;

}

/* ===========================
        Buttons
=========================== */

.btn{

    border-radius:8px;

    padding:8px 18px;

    font-weight:500;

}

.btn-info{

    background:#296ba8;

    border:none;

}

.btn-primary:hover{

    background:#296ba8;

}

.btn-success{

    background:#30363D;

    border:none;

}

.btn-success:hover{

    background:#484F58;

}

.btn-secondary{

    background:#444C56;

    border:none;

}

.btn-secondary:hover{

    background:#586069;

}

/* ===========================
     File Information
=========================== */

.file-info{

    margin-top:20px;

    background:#0D1117;

    border:1px solid #30363D;

    border-radius:10px;

    padding:10px;

}

.file-info h6{

    color:#58A6FF;

    margin-bottom:15px;

}

.file-info p{

    color:white;

    margin-bottom:3px;

}

.file-info strong{

    color:#8B949E;

}

/* ===========================
      Statistics Cards
=========================== */

.stat{

    background:#161B22;

    border:1px solid #30363D;

    border-radius:10px;

    padding:12px;

    text-align:center;

    transition:.25s;

}

.stat:hover{

    border-color:#58A6FF;

    transform:translateY(-2px);

}

.stat small{

    color:#8B949E;

    font-size:13px;

}

.stat h3{

    margin-top:8px;

    color:#58A6FF;

    font-weight:bold;
    font-size: 24px;

}

/* ===========================
      Status Colors
=========================== */

#status{

    color:#3FB950;

}

.success{

    color:#3FB950 !important;

}

.failed{

    color:#F85149 !important;

}

.ready{

    color:#8B949E !important;

}

/* ===========================
      JSON Viewer
=========================== */

pre{

    background:#010409;

    color:#58A6FF;

    border:1px solid #30363D;

    border-radius:10px;

    padding:20px;

    min-height:760px;

    max-height:760px;

    overflow:auto;

    font-family:Consolas,monospace;

    font-size:14px;

    white-space:pre-wrap;

}

/* ===========================
      Loading
=========================== */

#loading {
    display: none;
}

#spinner{

    display:none;

    margin-top:15px;

    text-align:center;

}

.spinner-border{

    width:2rem;

    height:2rem;

}

/* ===========================
      Footer Buttons
=========================== */

.action-buttons{

    margin-top:15px;

    display:flex;

    gap:10px;

}

.action-buttons .btn{

    flex:1;

}

/* ===========================
      Responsive
=========================== */

@media(max-width:768px){

    .container{

        padding:10px;

    }

    .stat{

        margin-bottom:15px;

    }

    .action-buttons{

        flex-direction:column;

    }

    .btn{

        width:100%;

    }

}

/* ==========================================================
        AUTH PAGES
========================================================== */

.auth-container{

    min-height:100vh;

    display:flex;

    justify-content:center;

    align-items:center;

    padding:25px;

}

.auth-card{
    width:100%;
    max-width:550px;
    background:#161B22;
    border:1px solid #30363D;
    border-radius:12px;
    overflow:hidden;
}

.auth-header{

    background:#21262D;

    border-bottom:1px solid #30363D;

    padding:18px;

    text-align:center;

}

.auth-header h3{

    margin:0;

    color:white;

    font-weight:600;

}

.auth-body{
     padding:40px;

}

.auth-title{

    color:white;

    font-size:36px;

    font-weight:600;

    text-align:center;

    margin-bottom:8px;

}

.auth-subtitle{

    color:#8B949E;

    text-align:center;

    margin-bottom:30px;

}

.auth-btn{

    width:100%;

    margin-top:20px;

    padding:10px;
    height:48px;
    font-size:16px;

}

.auth-message{

    margin-top:20px;

    text-align:center;

    font-weight:500;

    min-height:24px;

}

/* OTP */

.otp-container{

    display:flex;

    justify-content:center;

    gap:12px;

    margin:25px 0;

}

.otp-box{

    width:55px !important;

    height:60px;

    background:#21262D;

    border:1px solid #30363D;

    border-radius:8px;

    color:#ffffff;

    text-align:center;

    font-size:24px;

    font-weight:600;

    caret-color:#58A6FF;

    outline:none;

    flex:none;          /* IMPORTANT */

}

.otp-box:focus{

    border-color:#58A6FF;

    box-shadow:0 0 0 2px rgba(88,166,255,.2);

}


.resend-text{

    text-align:center;

    color:#8B949E;

    margin-top:15px;

}

.resend-link{

    color:#58A6FF;

    cursor:pointer;

}

.resend-link:hover{

    text-decoration:underline;

}